org.apache.solr.response

## Class TextResponseWriter

- java.lang.Object
- - org.apache.solr.response.TextResponseWriter

- Direct Known Subclasses:
    SchemaXmlWriter, SmileResponseWriter.SmileWriter, XMLWriter

      public abstract class TextResponseWriter
      extends Object

  Base class for text-oriented response writers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Calendar` | `cal`
    `protected boolean` | `doIndent`
    `protected int` | `level`
    `protected SolrQueryRequest` | `req`
    `protected ReturnFields` | `returnFields`
    `protected SolrQueryResponse` | `rsp`
    `protected IndexSchema` | `schema`
    `protected FastWriter` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextResponseWriter(Writer writer, SolrQueryRequest req, SolrQueryResponse rsp)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` done with this ResponseWriter...
    `int` | `decLevel()`
    `Writer` | `getWriter()` returns the Writer that the response is being written to
    `int` | `incLevel()`
    `void` | `indent()`
    `void` | `indent(int lev)`
    `int` | `level()`
    `void` | `setIndent(boolean doIndent)`
    `void` | `setLevel(int level)`
    `abstract void` | `writeArray(String name, Iterator val)`
    `void` | `writeArray(String name, Object[] val)`
    `void` | `writeBool(String name, boolean val)`
    `protected void` | `writeBool(String name, Boolean val)`
    `abstract void` | `writeBool(String name, String val)` if this form of the method is called, val is the Java string form of a boolean
    `void` | `writeByteArr(String name, byte[] buf, int offset, int len)`
    `void` | `writeDate(String name, Date val)`
    `abstract void` | `writeDate(String name, String val)` if this form of the method is called, val is the Solr ISO8601 based date format
    `void` | `writeDocuments(String name, ResultContext res)`
    `void` | `writeDouble(String name, double val)`
    `abstract void` | `writeDouble(String name, String val)` if this form of the method is called, val is the Java string form of a double
    `abstract void` | `writeEndDocumentList()`
    `void` | `writeExplanation(Explanation explanation)`
    `void` | `writeFloat(String name, float val)`
    `abstract void` | `writeFloat(String name, String val)` if this form of the method is called, val is the Java string form of a float
    `void` | `writeInt(String name, int val)`
    `abstract void` | `writeInt(String name, String val)` if this form of the method is called, val is the Java string form of an int
    `void` | `writeLong(String name, long val)`
    `abstract void` | `writeLong(String name, String val)` if this form of the method is called, val is the Java string form of a long
    `abstract void` | `writeMap(String name, Map val, boolean excludeOuter, boolean isFirstVal)`
    `abstract void` | `writeNamedList(String name, NamedList val)`
    `abstract void` | `writeNull(String name)`
    `protected void` | `writeNumber(String name, Number val)`
    `abstract void` | `writeSolrDocument(String name, SolrDocument doc, ReturnFields fields, int idx)`
    `void` | `writeSolrDocumentList(String name, SolrDocumentList docs, ReturnFields fields)`
    `abstract void` | `writeStartDocumentList(String name, long start, int size, long numFound, Float maxScore)`
    `abstract void` | `writeStr(String name, String val, boolean needsEscaping)`
    `void` | `writeTupleStream(TupleStream tupleStream)`
    `void` | `writeVal(String name, Object val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          protected final FastWriter writer

    - #### schema

          protected final IndexSchema schema

    - #### req

          protected final SolrQueryRequest req

    - #### rsp

          protected final SolrQueryResponse rsp

    - #### returnFields

          protected ReturnFields returnFields

    - #### level

          protected int level

    - #### doIndent

          protected boolean doIndent

    - #### cal

          protected Calendar cal

  - ### Constructor Detail

    - #### TextResponseWriter

          public TextResponseWriter(Writer writer,
                                    SolrQueryRequest req,
                                    SolrQueryResponse rsp)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      done with this ResponseWriter... make sure any buffers are flushed to writer
      Throws:
        `IOException`

    - #### getWriter

          public Writer getWriter()

      returns the Writer that the response is being written to

    - #### indent

          public void indent()
                      throws IOException

      Throws:
        `IOException`

    - #### indent

          public void indent(int lev)
                      throws IOException

      Throws:
        `IOException`

    - #### setLevel

          public void setLevel(int level)

    - #### level

          public int level()

    - #### incLevel

          public int incLevel()

    - #### decLevel

          public int decLevel()

    - #### setIndent

          public void setIndent(boolean doIndent)

    - #### writeNamedList

          public abstract void writeNamedList(String name,
                                              NamedList val)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeVal

          public final void writeVal(String name,
                                     Object val)
                              throws IOException

      Throws:
        `IOException`

    - #### writeBool

          protected void writeBool(String name,
                                   Boolean val)
                            throws IOException

      Throws:
        `IOException`

    - #### writeNumber

          protected void writeNumber(String name,
                                     Number val)
                              throws IOException

      Throws:
        `IOException`

    - #### writeStartDocumentList

          public abstract void writeStartDocumentList(String name,
                                                      long start,
                                                      int size,
                                                      long numFound,
                                                      Float maxScore)
                                               throws IOException

      Throws:
        `IOException`

    - #### writeSolrDocument

          public abstract void writeSolrDocument(String name,
                                                 SolrDocument doc,
                                                 ReturnFields fields,
                                                 int idx)
                                          throws IOException

      Throws:
        `IOException`

    - #### writeEndDocumentList

          public abstract void writeEndDocumentList()
                                             throws IOException

      Throws:
        `IOException`

    - #### writeSolrDocumentList

          public final void writeSolrDocumentList(String name,
                                                  SolrDocumentList docs,
                                                  ReturnFields fields)
                                           throws IOException

      Throws:
        `IOException`

    - #### writeDocuments

          public final void writeDocuments(String name,
                                           ResultContext res)
                                    throws IOException

      Throws:
        `IOException`

    - #### writeStr

          public abstract void writeStr(String name,
                                        String val,
                                        boolean needsEscaping)
                                 throws IOException

      Throws:
        `IOException`

    - #### writeMap

          public abstract void writeMap(String name,
                                        Map val,
                                        boolean excludeOuter,
                                        boolean isFirstVal)
                                 throws IOException

      Throws:
        `IOException`

    - #### writeArray

          public void writeArray(String name,
                                 Object[] val)
                          throws IOException

      Throws:
        `IOException`

    - #### writeArray

          public abstract void writeArray(String name,
                                          Iterator val)
                                   throws IOException

      Throws:
        `IOException`

    - #### writeNull

          public abstract void writeNull(String name)
                                  throws IOException

      Throws:
        `IOException`

    - #### writeInt

          public abstract void writeInt(String name,
                                        String val)
                                 throws IOException

      if this form of the method is called, val is the Java string form of an int
      Throws:
        `IOException`

    - #### writeInt

          public void writeInt(String name,
                               int val)
                        throws IOException

      Throws:
        `IOException`

    - #### writeLong

          public abstract void writeLong(String name,
                                         String val)
                                  throws IOException

      if this form of the method is called, val is the Java string form of a long
      Throws:
        `IOException`

    - #### writeLong

          public void writeLong(String name,
                                long val)
                         throws IOException

      Throws:
        `IOException`

    - #### writeBool

          public abstract void writeBool(String name,
                                         String val)
                                  throws IOException

      if this form of the method is called, val is the Java string form of a boolean
      Throws:
        `IOException`

    - #### writeBool

          public void writeBool(String name,
                                boolean val)
                         throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          public abstract void writeFloat(String name,
                                          String val)
                                   throws IOException

      if this form of the method is called, val is the Java string form of a float
      Throws:
        `IOException`

    - #### writeFloat

          public void writeFloat(String name,
                                 float val)
                          throws IOException

      Throws:
        `IOException`

    - #### writeTupleStream

          public void writeTupleStream(TupleStream tupleStream)
                                throws IOException

      Throws:
        `IOException`

    - #### writeExplanation

          public void writeExplanation(Explanation explanation)
                                throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          public abstract void writeDouble(String name,
                                           String val)
                                    throws IOException

      if this form of the method is called, val is the Java string form of a double
      Throws:
        `IOException`

    - #### writeDouble

          public void writeDouble(String name,
                                  double val)
                           throws IOException

      Throws:
        `IOException`

    - #### writeDate

          public void writeDate(String name,
                                Date val)
                         throws IOException

      Throws:
        `IOException`

    - #### writeDate

          public abstract void writeDate(String name,
                                         String val)
                                  throws IOException

      if this form of the method is called, val is the Solr ISO8601 based date format
      Throws:
        `IOException`

    - #### writeByteArr

          public void writeByteArr(String name,
                                   byte[] buf,
                                   int offset,
                                   int len)
                            throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.